<?php

require './vendor/autoload.php';

use tubalmartin\CssMin\Minifier as CSSmin;

$compressor = new CSSmin;
$compressor->removeImportantComments();
$compressor->setLineBreakPosition(1000);

$input_css = file_get_contents('./static/style.css');
$output_css = $compressor->run($input_css);
file_put_contents('./static/style.css', $output_css);

$input_css = file_get_contents('./static/norm.css');
$output_css = $compressor->run($input_css);
file_put_contents('./static/norm.css', $output_css);

?>
